
  <!DOCTYPE html>
  <html>
    <head>
      <title>tableData.ts</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="positive"><td class="">src/pages/simulation/__mocks__/tableData.ts</td><td class="">100.00%</td><td class="">80%</td><td class="">35</td><td class="">35</td><td class="">0</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">/* eslint-disable */
const tableDataRaw =
  `BatchID\tFinal_Cell viability\tFinal_Titer\tFinal_Viable cell density\tFinal_Dead cell density\tFinal_Lysed cell density\tFinal_Bio material\tUmax\tkd\tkt\tkl\tinh\tkIgG
C1\t0,855157928\t3,246914639\t441,4661079\t74,77316608\t31,13328744\t621,6219412\t0,64198\t0,050517\t0,001211\t0,337231\t124,3231\t0,005228
C2\t0,853492721\t2,941832563\t327,3474803\t56,19120987\t49,55281662\t483,6527208\t0,643684\t0,063264\t0,001238\t0,67161\t74,65822\t0,005868
C3\t0,769406485\t1,947041257\t424,0288106\t127,0827526\t35,24579259\t613,2539188\t0,632598\t0,028298\t0,017836\t0,026702\t116,5548\t0,002945
C4\t0,847484451\t1,704710835\t440,4913874\t79,27199828\t13,81458911\t626,2180134\t0,922765\t0,015076\t0,006799\t0,11021\t102,8956\t0,002624
C5\t0,616219035\t1,324831721\t372,5689694\t232,0358031\t52,01908435\t570,4234111\t0,555718\t0,056567\t0,012242\t0,037112\t107,6626\t0,002328
C6\t0,918230943\t1,003820934\t446,896524\t39,79642342\t22,88347339\t632,0305978\t0,750944\t0,018292\t0,002549\t0,625935\t140,9675\t0,001639
C7\t0,911378743\t0,855803875\t440,3066227\t42,81483021\t39,86207113\t627,6000048\t0,842663\t0,012999\t0,00285\t1,329044\t131,8074\t0,001364
C8\t0,836229001\t2,284949389\t407,19057\t79,746106\t90,72183135\t602,0209256\t0,734896\t0,07356\t0,001756\t1,147464\t117,4185\t0,003857
C9\t0,86236783\t4,281071574\t394,5762271\t62,97357155\t76,03904412\t588,4773316\t0,629993\t0,06808\t0,001681\t1,237874\t121,1504\t0,007385
`.replace(/\,/gi, &#x27;.&#x27;);

const [columnsNames, ...rows] = tableDataRaw
  .split(&#x27;\n&#x27;)
  .map((row) =&gt; row.split(&#x27;\t&#x27;));

const mapColumnNameToRawColumnName = {
  [columnsNames[0]]: &#x27;batchId&#x27;
};

export const tableData = rows.map((row) =&gt;
  row.reduce((acc, row, rowIdx) =&gt; {
    const columnsName =
      mapColumnNameToRawColumnName[columnsNames[rowIdx]] ||
      columnsNames[rowIdx];
    return {
      ...acc,
      [columnsName]: Boolean(row) &amp;&amp; rowIdx !== 0 ? parseFloat(row) : row
    };
  }, {})
);
</textarea><pre id="annotations" style="display:none">[]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  